#ifndef SL_COMPLEX_CFMT_H
#define SL_COMPLEX_CFMT_H

/*
 ******************************
 * Scientific Library (GNU Public Licence)
 *
 * Author: Laurent Deniau, Laurent.Deniau@cern.ch
 *
 * $Id: cfmt.h,v 1.5 1998/06/25 13:48:34 paubert Exp $
 *
 * Suggestions: sl@mathinsa.insa-lyon.fr
 * Bugs:   sl-bugs@mathinsa.insa-lyon.fr
 *
 * For more information, please see the sl++ Home Page:
 * http://wwwinfo.cern.ch/~ldeniau/sl.html
 *
 ******************************
 */

#ifndef SL_COMPLEX_H
#error <sl/complex/cfmt.h> must be included via <sl/complex.h>
#endif

#ifdef HAVE_NAMESPACE
namespace sl 
{
#endif




    class ComplexFormat {
      public:
        static void
            set (Char l, Char m, Char r) {
            my_l = l;
            my_m = m;
            my_r = r;
        }

        static void
            get (Char& l, Char& m, Char& r) {
            l = my_l;
            m = my_m; 
            r = my_r;
        }

      protected:
        static Char my_l;
        static Char my_m;
        static Char my_r;
    };

#ifdef HAVE_NAMESPACE
}
#endif 

#endif
