//-----------------------------------------------------------------------
// Given binomial Q(x) and its solution, follows the path from
// t=0 to t=1 depending on the method indicated. Find the solution of H(x).
//------------------------------------------------------------------------

#include "main.h"

int poly_main(int *previousPrint, char *FileName1, char *FileName2, int CellNum, int
startCell, int endCell, int FileNameSize, char *SolBuffer, char *StatBuffer, int BufferSize2);

int main(int argc, char* argv[])
{
#if 0
        float 	cputime_start,cputime_end,elapse_time;
        struct 	tms CPU;
#endif
	int	ii,i,k,j,statusP,celli,startCell,endCell,previousPrint;
        char    SolBuffer[16384], StatBuffer[16384];
#if 0
	int     BufferSize;
	double 	infN;
	char	cell[10],start[20],end[10],sol[20];
// Class
	Binomials	B;
	PrintInfo	Prnt;
// Modifies the I/O format
  	ComplexFormat::set(0,0,'i');
// Initialization(get name of input/output data file)
#endif

	if ((argc != 5) && (argc !=4 )) {
	  cout << "Please type " << endl <<
	    " CMPSc parameterFile coefficientFile startCell endCell " << endl;
	  exit(-1);
	}
	if (argc ==5) {
		startCell = atoi(argv[3]);
		endCell	  = atoi(argv[4]);
	}
	if (argc ==4) {
		startCell = 1;
		endCell = 1; 	// only one cell
	}
 
#if 0
	cout<< " Type starting cell "<<endl;
	cin>>startCell;
	cout<< " Type ending cell "<<endl;
	cin>>endCell; 
#endif
	previousPrint = -21;	// counter for PrntStat
	for ( ii=startCell; ii <= endCell; ii++) {
	    cout << "start = " << ii << '\n';
	    poly_main(&previousPrint, argv[2], argv[1], ii, startCell, endCell, 0, SolBuffer, StatBuffer, 16384);
	    cout << "end   = " << ii << '\n';
	}

	exit(0);
}

