//==========================================================================
// Computation of the maximum possible
// parameter value tMax in the predictor procedure
// output: totalNoTerms,tPowerVector
// input: nDim,noTermsVect,powerMatrix (t)
void indexx(int n, double arr[], int indx[], int istack[]);

#include "strucPATH.h"

void pre4Processing(PathFollow &P, StepCtrl &S)
{
int jthRow,kthTerm,k;

S.totalNoTerms=0;
for (jthRow=1;jthRow<=S.xDim;jthRow++) {
	S.totalNoTerms +=S.numTerm[jthRow];
}
S.AllocateTpowerV(S.totalNoTerms); 	// allocate tPowerVector 
k=0;
for (jthRow=1;jthRow<=S.xDim;jthRow++) {
        for (kthTerm=1;kthTerm<=S.numTerm[jthRow];kthTerm++) {
                if ( P.powerT[jthRow][kthTerm] > 1) {
			k +=1;
			S.tPowerVector[k+1] = P.powerT[jthRow][kthTerm];
                }
        }
}
S.tPowerVector[1]=1;		// tPowerVector[2...] contains numbers > 1.
S.totalNoTerms=1+k;

indexx(S.totalNoTerms,S.tPowerVector,S.tVInd,S.istack);


}
