#ifndef SL_TRAITS_H
#define SL_TRAITS_H

/*
 ******************************
 * Scientific Library (GNU Public Licence)
 *
 * Author: Laurent Deniau, Laurent.Deniau@cern.ch
 *
 * $Id: traits.h,v 1.7 1998/07/27 09:34:48 paubert Exp $
 *
 * Suggestions: sl@mathinsa.insa-lyon.fr
 * Bugs:   sl-bugs@mathinsa.insa-lyon.fr
 *
 * For more information, please see the sl++ Home Page:
 * http://wwwinfo.cern.ch/~ldeniau/sl.html
 *
 ******************************
 */

#ifdef HAVE_NAMESPACE
namespace sl
{
#endif    



     /// Definitions
    struct Return_Type_Not_Defined {};

    template <class T1, class T2>
        struct promote {
            typedef Return_Type_Not_Defined promoted_t;
        };

#define SPL_PROMOTE_TRAITS_DECL(t1,t2,t3) \
template <> \
struct promote<t1, t2> { \
  typedef t3 promoted_t; \
}

// Declarations
#include "traits-list.h"

#ifdef HAVE_NAMESPACE
}
#endif 

#endif // #ifndef SL_TRAITS_H
