// Computation of the angle of two complex vectors 
// output:theta
// input = angleTwo(aVect,bVect);
#include "strucPATH.h"

double angleTwo(Complex<Real> *aVect,Complex<Real> *bVect,int n)
{

double re_aVect,re_bVect,imag_aVect,imag_bVect;
double denominator,denominator2,theta;
double numerator;
int 	i;

denominator=denominator2=0.0;
numerator=0.0;


for (i=1;i<=n;i++) {
	numerator =numerator+ real(aVect[i])* real(bVect[i])
		+imag(aVect[i])*imag(bVect[i]); // inner product
				// if complex vectors as a 2-vector
	denominator+=real(aVect[i]) * real(aVect[i])+imag(aVect[i])*
			imag(aVect[i]);

	denominator2+=real(bVect[i]) * real(bVect[i])+imag(bVect[i])*
			imag(bVect[i]);
}

denominator *=denominator2;

if (denominator > 1.0e-20){
	denominator = sqrt(denominator);
	theta = numerator / denominator;
} else {
	theta = 1.0;
}
return theta;
}
// End of angleTwo
