#include "strucPATH.h"

void c2r(Complex<Real> **a, int n, double **g )

/* input: a contains jacobian matrix.  (6/21/01)
   output: g 2n x 2n converted real matrix.
*/

{
int i,j,k;

for (i=1;i<=n;i++) {		// convert C^n to R^2n
    for (j=1;j<=n;j++) {	// (a -b; b a) transformation
        g[2*i-1][2*j-1]=real(a[i][j]);
        g[2*i-1][2*j]=-imag(a[i][j]);
        g[2*i][2*j-1]=imag(a[i][j]);
        g[2*i][2*j]=real(a[i][j]);
    }
}


}
