#ifndef SL_COMPLEX_H
#define SL_COMPLEX_H

/*
 ******************************
 * Scientific Library (GNU Public Licence)
 *
 * Provides full arithmetic on complexes
 *
 * Author: Laurent Deniau, Laurent.Deniau@cern.ch
 *
 * $Id: complex.h,v 1.5 1998/06/12 13:20:49 ldeniau Exp $
 *
 * Suggestions: sl@mathinsa.insa-lyon.fr
 * Bugs:   sl-bugs@mathinsa.insa-lyon.fr
 *
 * For more information, please see the sl++ Home Page:
 * http://wwwinfo.cern.ch/~ldeniau/sl.html
 *
 ******************************
 */

#ifndef SL_DEFS_H
#include "defs.h"
#endif



#include "complex/cfmt.h"
#include "complex/complex.h"
#include "complex/ctraits.h"
#include "complex/cmisc.h"
#include "complex/carith.h"
#include "complex/ccalc.h"
#include "complex/ctests.h"
#include "complex/cioops.h"

// sl++ gets complex now
#define HAVE_COMPLEX

#endif // #ifndef SL_COMPLEX_H
