#include "strucPATH.h"

void funcv(PathFollow &P, double t, Complex<Real> x[], Complex<Real> H[],double rowScaling[],double tauRef, double powerRef)
{
int i,j,k,l,m,n,totalNoTerms;
Complex<Real> oneTerm,nextCoef;
double a,tpower;	// tpower introduced for 10/29/01 changes

n = P.xDim;
// if the number of terms is not changed for combined homotopy, adjust P.Coef[i][j]
// to include generic and original coefficients with t. (6/17/01)
// 10/29/01 changes ----------------------------------->
tpower = pow(t,P.beta/P.gammaP);
for  (i=1;i<=n;i++)  {
     for (j=1;j<=P.numTerm[i];j++) {
          P.Coef[i][j]=P.CoefSav[i][j]+(P.Coef_ori[i][j]-P.CoefSav[i][j])*tpower;  }
}
// <----------------------------------------------------
//================================================================================
// Plain computaion of H values without using Honer's method and tauRef & powerRef
j=0;		// initialize j to store each term to P.terms
        for (i=1; i <=n; i++) {
                H[i]=Complex<>(0.0,0.0);
                for (k=1; k <= P.numTerm[i]; k++) {
			j +=1;
                        oneTerm = 1.0;
                        for (j=1;j <= n; j++) {
                                oneTerm *=  pow(x[j],P.Power[i][k][j]) ;
                        }
			if(tauRef !=0 ) {
                            H[i] += oneTerm* P.Coef[i][k]*( pow(tauRef,P.powerT[i][k]/powerRef));
			    P.terms[j]=oneTerm* P.Coef[i][k]*( pow(tauRef,P.powerT[i][k]/powerRef));	
			} else if(P.powerT[i][k] == 0) {
                            H[i] += oneTerm* P.Coef[i][k];
                            P.terms[j]= oneTerm* P.Coef[i][k];
			}
                }
//cout<<" H "<<i<<" t="<<t<<" x="<<x[1]<<" "<<x[2]<<" "<<x[3]<<" "<<x[4]<<" "<<x[5]<<" fn="<<H[i]<<endl;
        }

//================================================================
for (i=1;i<=n;i++)  rowScaling[i]=1.0;

if(P.scalingSW >1 ) {
	m=0;
	for (j=1;j<=n;j++) {
		a=0.0; // find max 
		for (k=1;k<=P.numTerm[j];k++) {
			a=DMAX(abs(P.terms[m+k]),a);
		}
		m +=P.numTerm[j];	// adjust vector index for next row
		if ( a> rowScaling[j] ) rowScaling[j] =a;
		H[j] /=rowScaling[j];	// scaling
	}
} 

}		// function end
