#include "strucPATH.h" 

int nn; 		/* Global variables to communicate with fmin. */

void (*funcv)(PathFollow  &P, double t, Complex<Real> v[], Complex<Real> f[], double [], double tauRef,  double powerRef); 

void qrdcmp(Complex<Real> **a, int n, Complex<Real> *c, Complex<Real> *d, int *sing);
void qrsolv(Complex<Real> **a, int n, Complex<Real> c[], Complex<Real> d[], Complex<Real> b[]);

// Definition should be one line.
//#define FREERETURN {  if(p) { delete [] p; p =NULL;} if(g) { delete [] g; g =NULL;} if(pivIndx) {delete [] pivIndx; pivIndx=NULL;}  if(Hjac) {for(i=0;i<P.xDim+1;i++) delete [] Hjac[i]; delete [] Hjac; Hjac=NULL;} return;}

#define FREERETURN {  return;}
void fdjac(PathFollow &P, double t,Complex<Real> x[], double rowScaling[], double colScaling[],double tauRef, double powerRef);
double fmin(PathFollow  &P, double t, Complex<Real> x[], Complex<Real > fvec[], double rowScaling[], double tauRef, double powerRef );
void lubksb(Complex<Real> **a, int n, int *pivIndx, Complex<Real> b[]);
void ludcmp(Complex<Real> **a, int n, int *pivIndx, double *d);
double infNorm(Complex<Real> x[], int n);
double twoNorm(Complex<Real> x[], int n);
void svdcmp(double **a, int m, int n, double w[], double **v);
void svbksb(double **u, double w[], double **v, int m, int n, double b[], double tmp[] );
void c2r2(Complex<Real> **a, int n, double **g, Complex<Real> *fvec, double *b);
void r2c(double *dx, int n, Complex<Real> *p );
