#include "strucPATH.h"

void qrsolv( Complex<Real> **a, int n, Complex<Real> c[], Complex<Real> d[], Complex<Real> b[])
{
	int i,j;
	Complex<Real> sum,tau;
	

	for (j=1;j<n;j++) {		// Form Q^tb
		for (sum=Complex<Real>(0.0,0.0),i=j;i<=n;i++) sum += conj(a[i][j])*b[i];
//		for (sum=Complex<Real>(0.0,0.0),i=j;i<=n;i++) sum += conj(a[i][j])*(a[i][j]);
//cout<<" sum "<<sum/c[j]<<endl;
		tau=sum/(c[j]);
		for (i=j;i<=n;i++) b[i] -= tau*(a[i][j]);
	}

	if(d[n] <= 1.e-14) b[n]=0.0;
	else b[n] = b[n]/d[n];
        for (i=n-1;i>=1;i--) {
      	         for (sum=Complex<Real>(0.0,0.0),j=i+1;j<=n;j++) sum += a[i][j]*b[j]
;
       	         b[i]=(b[i]-sum)/d[i];
       	} 
//for(i=1;i<=n;i++) cout<<" p "<<b[i]<<" ";cout<<endl;
}
