#include "strucPATH.h"
void indexx(int n, double arr[], int indx[], int istack[]);

void scalepw(PathFollow &P)
/* scales powers of t
	and computes the values of node t for determined values of t^max
*/
{
	int i,j,k;
	double logt,minPower;

        P.maxPower=1.0;
	minPower=3000;
// 				find min power of homotopy
        for (j=1; j <= P.xDim; j++)   {    
	    for(i=1;i<=P.numTerm[j];i++)  {
	        if (P.powerT[j][i] <= minPower && P.powerT[j][i] !=0 ) {
             	minPower=P.powerT[j][i];
           	}
	    }
	}
        for (j=1; j <= P.xDim; j++)  {     // find max power
           indexx(P.numTerm[j],P.powerT[j],P.sindx[j],P.istack);
           if (P.powerT[j][P.sindx[j][P.numTerm[j]]] >= P.maxPower ) {
              P.maxPower=P.powerT[j][P.sindx[j][P.numTerm[j]]];
           }
	}

	//P.maxPower += P.beta/P.gammaP;
// (1/17/02)
// difference in computing maxPower or in treating the powers of t between C++
// matlab: in C++, t^(beta/gammaP) is included in coefficients. Therefore,
// when computing maxPower, beta/gammaP should not be added.


}
