/* sl/sl-config.h.  Generated automatically by configure.  */
/* sl/sl-config.h.in.  Generated automatically from configure.in by autoheader.  */
/* ------------------------------------------------------------ -*- c++ -*- */

#ifndef SL_CONFIG_H
#define SL_CONFIG_H


/* Define if you need to in order for stat and other things to work.  */
/* #undef _POSIX_SOURCE */

#define VERSION "0.0.6"
#define PACKAGE "sl"

/* define if you want to trace memory allocations */
/* #undef SL_DEBUG_TRACE_MEMORY_ALLOCATIONS */

/* define if you want trace debug for template expressions */
/* #undef SL_DEBUG_TRACE_TEMPLATE_EXPRESSIONS */

/* define if you want to build template expression by reference */
/* #undef SL_BUILD_TEMPLATE_EXPRESSIONS_BY_REFERENCE */

/* Define if your C++ compiler has <algo> */
/* #undef HAVE_ALGO */

/* Define if your C++ compiler has <algo.h> */
#define HAVE_ALGO_H 1

/* Define if your C++ compiler has <algobase> */
/* #undef HAVE_ALGOBASE */

/* Define if your C++ compiler has <algobase.h> */
#define HAVE_ALGOBASE_H 1

/* Define if your C++ compiler has <algorithm> */
#define HAVE_ALGORITHM 1

/* Define if your C++ compiler has <algorithm.h> */
/* #undef HAVE_ALGORITHM_H */

/* Define if your allow a member function called not() for example */
#define HAVE_ALTERNATIVE_TOKEN 1

/* Define if your C++ compiler has ANSI-compliant lifetime of temporaries. */
#define HAVE_ANSI_LIFETIME_OF_TEMPORARIES 1

/* Define if your C++ compiler supports overloaded operator new[]. */
#define HAVE_ARRAY_OPERATOR_NEW 1

/* Define if your C++ compiler supports bool types. */
#define HAVE_BOOL 1

/* Define if your C++ compiler have cmath include. */
#define HAVE_CMATH 1

/* to be used with the dmalloc debugger */
/* #undef WITH_DMALLOC */

/* Define if your C++ compiler have sqrt(long double) */
#define HAVE_DREAL_SQRT 1

/* Define if your C++ compiler supports exception handling. */
#define HAVE_EXCEPTIONS 1

/* Define if your C++ compiler supports explicit template instanciation. */
#define HAVE_EXPLICIT_TEMPLATE_INSTANTIATION 1

/* Define if your C++ compiler supports friend<> in template declaration. */
/* #undef HAVE_FRIEND_IN_TEMPLATE_DECLARATION */

/* Define if your C++ compiler have IEEE math functions. */
#define HAVE_IEEE_MATH 1

/* Define if your C++ compiler have <iomanip> include file. */
#define HAVE_IOMANIP 1

/* Define if your C++ compiler have <iomanip.h> include file. */
/* #undef HAVE_IOMANIP_H */

/* Define if your C++ compiler supports long long types. */
#define HAVE_LONG_LONG 1

/* Define if your C++ compiler supports named return values. */
#define HAVE_NAMED_RETURN_VALUES 1

/* Define if your C++ compiler supports namespace. */
/* #undef HAVE_NAMESPACE */

/* Define if your C++ compiler supports placement new. */
#define HAVE_PLACEMENT_NEW 1

/* Define if your C++ compiler supports the __PRETTY_FUNCTION__ macro. */
#define HAVE_PRETTY_FUNCTION 1

/* Define if your C++ compiler supports ISO C++ standard exceptions. */
#define HAVE_STD_EXCEPTIONS 1

/* Define if your C++ compiler has <stdio.h>. What if not ?*/
/* #undef HAVE_STDIO_H */

/* Define if your C++ compiler have sysv math functions. */
/* #undef HAVE_SYSV_MATH */

/* Define if your C++ compiler supports run-time type information. */
#define HAVE_TYPEINFO 1

/* Define if you have the swap function.  */
#define HAVE_SWAP_IN_STL 1

/* Define if you have the min function.  */
#define HAVE_MIN_IN_STL 1

/* Define if you have the max function.  */
#define HAVE_MAX_IN_STL 1

/* Define if your c++ compiler have valarray header */
#define HAVE_VALARRAY 1

/* check if header exist */
/* #undef HAVE_IOSTREAM_H */

/* check if header exist */
#define HAVE_IOSTREAM 1

/* check if header exist */
#define HAVE_ISTREAM_H 1

/* check if header exist */
/* #undef HAVE_ISTREAM */

/* check if header exist */
/* #undef HAVE_FSTREAM_H */

/* check if header exist */
#define HAVE_FSTREAM 1

/* check if header exist */
/* #undef HAVE_STDDEF_H */

/* check if header exist */
#define HAVE_CSTDDEF 1

/* check if header exist */
#define HAVE_CSTDIO 1

/* check if header exist */
#define HAVE_CASSERT 1

/* check if header exist */
/* #undef HAVE_ASSERT_H */

/* check if header exist */
#define HAVE_CSTRING 1

/* check if header exist */
/* #undef HAVE_STRINGS_H */

/* check if header exist */
#define HAVE_CCTYPE 1

/* check if header exist */
/* #undef HAVE_CTYPE_H */

/* check if header exist */
#define HAVE_CLIMITS 1

/* check if header exist */
/* #undef HAVE_LIMITS_H */

/* check if header exist */
/* #undef HAVE_MATH_H */

/* check if header exist */
/* #undef HAVE_COMPLEX_H */

/* check if header exist */
#define HAVE_CSTDLIB 1

/* check if header exist */
/* #undef HAVE_STDLIB_H */

/* check if header exist */
#define HAVE_CTIME 1

/* check if header exist */
/* #undef HAVE_TIME_H */

/* check if header exist */
#define HAVE_CFLOAT 1

/* check if header exist */
/* #undef HAVE_FLOAT_H */

/* check if header exist */
#define HAVE_NUMERIC 1

/* check if header exist */
/* #undef HAVE_NUMERIC_H */

/* check if header exist */
#define HAVE_FUNCTIONAL 1

/* check if header exist */
/* #undef HAVE_FUNCTIONAL_H */

/* Define if you have the dce library (-ldce).  */
/* #undef HAVE_LIBDCE */

/* Define if using the mss debugging malloc package */
/* #undef WITH_MSS */

//                                                  -*- c++ -*-
// bottom part of sl.h
//

/*
 * How to link C and F77
 */

#ifdef  F77_UPPERCASE_NAMES
#  ifdef  F77_APPEND_UNDERSCORE
#    define FORTRAN(x,X) X##_
#  else
#    define FORTRAN(x,X) X
#  endif
#else
#  ifdef  F77_APPEND_UNDERSCORE
#    define FORTRAN(x,X) x##_
#  else
#    define FORTRAN(x,X) x
#  endif
#endif

// nice small macro
#define callMemberFunction(object,ptrToMember)  ((object).*(ptrToMember))

#ifdef HAVE_NAMESPACE
// aCC (HP C++) compiler defined HAVE_NAMESPACE but by default do not know of std
#ifdef RWSTD_NO_NAMESPACE
/* #undef HAVE_NAMESPACE */
#endif
#endif

#ifdef HAVE_NAMESPACE
#  define NAMESPACE_OPEN(sl)  namespace sl {
#  define NAMESPACE_CLOSE(sl) }
#  define NAMESPACE_USE(sl)   using namespace sl;
#else       
#  define NAMESPACE_OPEN(sl)
#  define NAMESPACE_CLOSE(sl)
#  define NAMESPACE_USE(sl)
#endif

// Name of function
// not portable require gcc
#ifdef HAVE_PRETTY_FUNCTION
#  define SL_DEBUG_FUNCTION_NAME __PRETTY_FUNCTION__
#else
#  define SL_DEBUG_FUNCTION_NAME
#endif

// Boolean type
#ifndef HAVE_BOOL
enum bool { false=0, true=1 };
#endif

// Debug utilities

#ifdef SL_DEBUG_TRACE_TEMPLATE_EXPRESSIONS
#  define SL_DEBUG_DISPLAY_TEMPLATE_EXPRESSIONS \
          cerr << '[' << this << "] " << SL_DEBUG_FUNCTION_NAME << endl
#else
#  define SL_DEBUG_DISPLAY_TEMPLATE_EXPRESSIONS
#endif

// Template expression type
#ifdef SL_BUILD_TEMPLATE_EXPRESSIONS_BY_REFERENCE
#  define SL_TEXPR_REF &
#  define SL_TEXPR_ARG &
#else
#  define SL_TEXPR_REF
#  define SL_TEXPR_ARG const&
#endif

// if you have the memory debugger MSS12
#ifdef HAVE_MSS
#include <mss.h>
#endif

#endif 
// endif of SL_CONFIG_H
