//------------------------ strucPATH.cpp 

#include "strucPATH.h"

#define FILE_OUTPUT 1

PathFollow::PathFollow(void)
{
	numTerm = NULL;
        Power = NULL;
        Coef = NULL;
        CoefSav = NULL;
        Coef_ori = NULL;
        powerT = NULL;
        tmpowerT = NULL;
        linpowerT = NULL;
        Sol = NULL;
        Hjac = NULL;
        term = NULL;
        cc = NULL;
        dd = NULL;
	numSol = 0;
	xDim = 0;
	sindx = NULL;
	tindx = NULL;
	istack = NULL;
	terms = NULL;
	logABSx = NULL;
	ANGLEx = NULL;
	logMagOfTerms = NULL;
	AngleOfTerms = NULL;
	GMat = NULL;
	svdW = NULL;
	svdV = NULL;
	csvdW = NULL;
	csvdV = NULL;
	ccR = NULL;
	HtR = NULL;
}

PathFollow::~PathFollow()
{
        int   i,j,mm;

        if (Power) {
                for (i = 1; i < xDim+1; i++)
                	for (j = 1; j < numTerm[i]+1; j++)
                       	 	delete [] Power[i][j];  
 		     for (i = 1; i < xDim+1; i++)
			delete [] Power[i];

                delete [] Power;
                Power = NULL; 
        }    
        if (Coef) {
                for (i = 1; i < xDim+1; i++)
                        delete [] Coef[i];
                delete [] Coef;
                Coef = NULL;
        }
        if (CoefSav) {
                for (i = 1; i < xDim+1; i++)
                        delete [] CoefSav[i];
                delete [] CoefSav;
                CoefSav = NULL;
        }
        if (Coef_ori) {
                for (i = 1; i < xDim+1; i++)
                        delete [] Coef_ori[i];
                delete [] Coef_ori;
                Coef_ori = NULL;
        } 
        if (powerT) {
                for (i = 1; i < xDim+1; i++)
                        delete [] powerT[i];
                delete [] powerT;
                powerT = NULL;
        } 
        if (tmpowerT) {
                for (i = 1; i < xDim+1; i++)
                        delete [] tmpowerT[i];
                delete [] tmpowerT;
                tmpowerT = NULL;
        } 
        if (linpowerT) {
                for (i = 1; i < xDim+1; i++)
                        delete [] linpowerT[i];
                delete [] linpowerT;
                linpowerT = NULL;
        } 
        if (sindx) {
               for (i = 1; i < xDim+1; i++)
                        delete [] sindx[i];
        } 
        if (tindx) {
                delete [] tindx;
		tindx = NULL;
        } 
        if (term) {
                delete [] term;
		term = NULL;
        } 
        if (cc) {
                delete [] cc;
		cc = NULL;
        } 
        if (dd) {
                delete [] dd;
		dd = NULL;
        } 
        if (v) {
                delete [] v;
		v = NULL;
        } 
        if (dv) {
                delete [] dv;
		dv = NULL;
        } 
        if (Hjac) {
                for (i = 1; i < xDim; i++) {
                        delete [] Hjac[i]; 
		}
 //               delete [] Hjac;
                  Hjac = NULL;
	}  
        if (istack) {
//		delete [] istack;
//cout<<"here 2"<<istack<<endl;
		istack = NULL;
        } 
        if (logABSx) {delete [] logABSx; logABSx = NULL; }
        if (ANGLEx) {delete [] ANGLEx; ANGLEx = NULL; }
        if (logMagOfTerms) {delete [] logMagOfTerms; logMagOfTerms = NULL; }
        if (AngleOfTerms) {delete [] AngleOfTerms; AngleOfTerms = NULL; }
        if (terms) {delete [] terms; terms = NULL; }
        if (GMat) { for (i = 1; i < 2*xDim+1; i++) delete [] GMat[i];
                delete [] GMat; GMat = NULL;
	}
        if (svdV) { for (i = 1; i < 2*xDim; i++) delete [] svdV[i];
                delete [] svdV; svdV = NULL;
	}
        if (svdW) {delete [] svdW; svdW = NULL; }
        if (csvdV) { for (i = 1; i < xDim; i++) delete [] csvdV[i];
                delete [] csvdV; csvdV = NULL;
	}
        if (csvdW) {delete [] csvdW; csvdW = NULL; }
	if (ccR) {
               delete [] ccR;
               ccR = NULL;
        }
        if (HtR) {
               delete [] HtR;
               HtR = NULL;
        }
}
void   PathFollow::Allocate( int nCon, int *index)
{
	int	i,j,mm;

	xDim = nCon;
	
// power of x
	numTerm = index;

	Power = new double **[xDim+1];
	if(!Power)  cout << " Allocation error" <<endl;
	for (i = 1; i <= xDim; i++) {
		Power[i] = new double *[numTerm[i]+1];
		if(!Power[i])  cout << "Allocation error" <<endl;
		for ( j =1; j<= numTerm[i]; j++) {
			Power[i][j] = new double [xDim+1];
			if(!Power[i][j])  cout << "Allocation error" <<endl;
		}
	}
// coefficient
	Coef = new Complex<Real> * [nCon+1];	 
        for (i = 1; i <= nCon; i++)
	 	Coef[i] = new Complex<Real> [numTerm[i]+1];
	CoefSav = new Complex<Real> * [nCon+1];	 
        for (i = 1; i <= nCon; i++)
	 	CoefSav[i] = new Complex<Real> [numTerm[i]+1];
// ori_coefficient
	Coef_ori = new double * [nCon+1];	 
        for (i = 1; i <= nCon; i++)
	 	Coef_ori[i] = new double [numTerm[i]+1];
// powerT
	powerT = new double* [nCon+1];
        for (i = 1; i <= nCon; i++)
	 	powerT[i] = new double [numTerm[i]+1];
// tmpowerT
	tmpowerT = new double* [nCon+1];
        for (i = 1; i <= nCon; i++)
	 	tmpowerT[i] = new double [numTerm[i]+1];
// linpowerT
	linpowerT = new double* [nCon+1];
        for (i = 1; i <= nCon; i++)
	 	linpowerT[i] = new double [numTerm[i]+1];
// Sort powerT
        mm=1;
        for ( i=1; i<=xDim; i++) if(numTerm[i] >=mm) mm=numTerm[i];
        sindx = new int* [xDim+1];
        for (i = 1; i <= xDim; i++)
                sindx[i] = new int [mm+1];
        tindx = new int [mm+1];
        term = new Complex<Real> [mm+1];
// qrdcmp & qrsolv 
        cc = new Complex<Real> [xDim+1];
        dd = new Complex<Real> [xDim+1];
// euler step storage
        v = new Complex<Real> [xDim+1];
        dv = new Complex<Real> [xDim+1];

// Jacob
	Hjac = new Complex<Real>* [nCon+1];
        for (i = 1; i <= nCon; i++)
	 	Hjac[i] = new Complex<Real> [xDim+1];

	istack = new int [NSTACK];
// logABSx
        logABSx = new double [xDim+1];
// ANGLEx 
        ANGLEx = new double [xDim+1];
// logMagOfTerms
	mm=0;
        for (i = 1; i <= nCon; i++)
		mm += numTerm[i];
        logMagOfTerms = new double [mm+1];
        AngleOfTerms = new double [mm+1];
        terms = new Complex<Real> [mm+1];

// svdV to compute condition number of real Jacobian
	svdV = new double* [2*nCon+1];
        for (i = 1; i <= 2*nCon; i++)
	 	svdV[i] = new double [2*xDim+1];
        svdW = new double [2*xDim+1];

	GMat = new double* [2*nCon+1];		// to convert Hjac to real matrix
        for (i = 1; i <= 2*nCon; i++)
	 	GMat[i] = new double [2*xDim+1];
// csvdV
	csvdV = new Complex<Real>* [nCon+1];
        for (i = 1; i <= nCon; i++)
	 	csvdV[i] = new Complex<Real> [xDim+1];
        csvdW = new Complex<Real> [xDim+1];

        ccR = new double [2*xDim+2];
        HtR = new double [2*xDim+2];

}
void   PathFollow::Allocate4Sol(int nCon, int nSol)
{
	int	i;

	xDim = nCon;
	numSol = nSol;
// Allocation for initial Solutions
	Sol  = new Complex<Real>* [nSol+1];
	//cout<<"Sol "<<Sol<<endl;
	for ( i = 1; i <= nSol; i++ )
		Sol [i] = new Complex<Real> [xDim+1];
}
Binomials::Binomials(void)
{
        numQ = 0;
	xDim = 0;
        Qx = NULL;
        strcpy(InputFileName, "");
        strcpy(InputFileNamePa, "");
        strcpy(OutputFileName, "");
}
Binomials::~Binomials()
{
        int     i,j;
        if (xini) {
               	delete [] xini;
               	xini = NULL;
        }
        if (sav_x) {
               	delete [] sav_x;
               	sav_x = NULL;
        }
        if (Hval) {
               	delete [] Hval;
               	Hval = NULL;
        }
#if 0
        if (Qx) {
                delete [] Qx;
                Qx = NULL;
        }
#endif
	if(solution) { delete [] solution;solution=NULL;}
}
void   Binomials::Allocate( int nQ, int *inNterm, int xD)
{
        int     i;

	xDim = xD;
        numQ = nQ;
        Qx = new PathFollow [nQ+1];
	nstep =4;			// set nsetp 1

        for (i = 1; i <= nQ; i++) 
                Qx[i].Allocate(xD, inNterm);
        xini= new Complex<Real> [xD+1];  // allocate xini
        sav_x= new Complex<Real> [xD+1];
        Hval= new Complex<Real> [xD+1];  // for Newton
	solution = new double [2*xD+6]; // allocation for sol

//	Step.Allocate(xD,inNterm);	// allocate for step control
}
void   Binomials::Allocate4Sol( int nQ, int Nsol, int xD)
{
        int     i;

	xDim = xD;
        numQ = nQ;
//	nSOLQ = inNsol;			// no of solutions in each Q
        for (i = 1; i <= nQ; i++) 
                Qx[i].Allocate4Sol(xD, Nsol);

}
StepCtrl::StepCtrl(void)
{
	xDim=0;

}
StepCtrl::~StepCtrl(void)
{
	if (tPowerVector) {
		delete [] tPowerVector;
		tPowerVector = NULL;
	}
	if (tVInd) {
		delete [] tVInd;
		tVInd = NULL;
	}
	if (istack) { delete [] istack; istack = NULL; }
	if (hValOld) { delete [] hValOld; hValOld = NULL; }
	if (hValPredicted) { delete [] hValPredicted; hValPredicted = NULL; }
	if (hValTarget) { delete [] hValTarget; hValTarget = NULL; }
	if (pDirect0) { delete [] pDirect0; pDirect0 = NULL; }
	if (pDirect1) { delete [] pDirect1; pDirect1 = NULL; }
	if (pDirect2) { delete [] pDirect2; pDirect2 = NULL; }
	if (secondOrderTerm) { delete [] secondOrderTerm; 
			secondOrderTerm = NULL; }
	if (xtPredicted) { delete [] xtPredicted; xtPredicted = NULL; }
	if (xtTarget) { delete [] xtTarget; xtTarget = NULL; }
	if (xtVect0) { delete [] xtVect0; xtVect0 = NULL; }
	if (xtNew) { delete [] xtNew; xtNew = NULL; }
	if (p) { delete [] p; p = NULL; }
	if (hValNew) { delete [] hValNew; hValNew = NULL; }
	if (xOld) { delete [] xOld; xOld = NULL; }
	if (rowScaling) { delete [] rowScaling; rowScaling = NULL; }

}
void   StepCtrl::Allocate(int nCon, int *index)
{
        int     i,j;
        xDim = nCon;
        numTerm = index;

        hValOld = new Complex<Real> [nCon+1];
        hValPredicted = new Complex<Real> [nCon+1];
        hValTarget = new Complex<Real> [nCon+1];
        pDirect0 = new Complex<Real> [nCon+1];
        pDirect1 = new Complex<Real> [nCon+1];
        pDirect2 = new Complex<Real> [nCon+1];
        secondOrderTerm = new Complex<Real> [nCon+1];
        xtPredicted = new Complex<Real> [nCon+1];
        xtTarget = new Complex<Real> [nCon+1];
        xtVect0 = new Complex<Real> [nCon+1];
        xtNew = new Complex<Real> [nCon+1];
        hValNew = new Complex<Real> [nCon+1];
        p = new Complex<Real> [nCon+1];
        xOld = new Complex<Real> [nCon+1];
        rowScaling = new double [nCon+1];
        colScaling = new double [nCon+1];
}
void   StepCtrl::AllocateTpowerV(int ttalNoTerms)
{
	tPowerVector = new double [ttalNoTerms+2]; // one more space for 1
	tVInd = new int [ttalNoTerms+2];
	istack = new int [ttalNoTerms+2];
}

PrintInfo::PrintInfo(void)
{
	nIteration = 0;
	dim = 0;
}

PrintInfo::~PrintInfo()
{ 
	int	i;
}
//==================================================================================
void   PrintInfo::PrintStat(Binomials &B, float elapse_time, int i, char *cell, double infN, int statusP, int *previousPrint)
{
        FILE	   *OutputStat1;
	int        len;

#if FILE_OUTPUT
        if((OutputStat1=fopen(B.OutputFileStat,"a"))==NULL) {
		printf("cannot open %s \n",B.OutputFileStat);
                exit(1);
        }
#endif
	//	B.StatBuffer[0] = '\0';
#if FILE_OUTPUT
	if( (*previousPrint <= -20) && ((i==1) || (B.Qx[1].modSW ==0)) ) {
	    *previousPrint = 0;
	    if (B.Step.informationLevel >=0 ) {

        	fprintf(OutputStat1, "# cell  prob statusP   pIT  TcIT     cpu  hValError  normOFx      minEig    maxEig   normOFdx   minPstep   maxPower\n");
        	sprintf(B.StatBuffer, "# cell prob statusP   pIT  TcIT     cpu  hValError  normOFx      minEig    maxEig   normOFdx   minPstep   maxPower\n");
	    } else {
        	fprintf(OutputStat1, "# cell  prob statusP   pIT  TcIT     cpu  hValError  normOFx      minEig\n");
        	sprintf(B.StatBuffer, "# cell prob statusP   pIT  TcIT     cpu  hValError  normOFx      minEig\n");
	    }
	}
#endif
	if( B.Step.informationLevel >= 0 ) {
#if FILE_OUTPUT
        	fprintf(OutputStat1,
     "%5s  %3d  %+2d     %6d %7d  %7.1f %6.2e %8.4e %+8.4e %8.4e %+6.2e %6.2e  %8.4e %8.4e\n",
          	cell,i,statusP,B.Step.predIteration,
	  	B.Step.totalCorrIteration,elapse_time,infN,
                B.Qx[1].normOFx, B.Qx[1].minEig, B.Qx[1].maxEig, B.Qx[1].normOFdx, 
			B.Step.minPredStep,B.Qx[1].maxPower,B.Qx[1].smallestEig);
#endif
		len = strlen(B.StatBuffer);
        	sprintf(&B.StatBuffer[len],
     "%5s  %3d  %+2d     %6d %7d  %7.1f %6.2e %8.4e %+8.4e %8.4e %+6.2e %6.2e  %8.4e %8.4e\n",
          	cell,i,statusP,B.Step.predIteration,
	  	B.Step.totalCorrIteration,elapse_time,infN,
                B.Qx[1].normOFx, B.Qx[1].minEig, B.Qx[1].maxEig, B.Qx[1].normOFdx, 
			B.Step.minPredStep,B.Qx[1].maxPower,B.Qx[1].smallestEig);
	} else {
#if FILE_OUTPUT 	
          fprintf(OutputStat1, 
     "%5s  %3d  %+2d     %6d %7d  %7.1f %6.2e %8.4e %+8.4e\n",
          	cell,i,statusP,B.Step.predIteration,
	  	B.Step.totalCorrIteration,elapse_time,infN,
                B.Qx[1].normOFx, B.Qx[1].minEig);
#endif
		len = strlen(B.StatBuffer);
                sprintf(&B.StatBuffer[len], 
     "%5s  %3d  %+2d     %6d %7d  %7.1f %6.2e %8.4e %+8.4e\n",
          	cell,i,statusP,B.Step.predIteration,
	  	B.Step.totalCorrIteration,elapse_time,infN,
                B.Qx[1].normOFx, B.Qx[1].minEig);
	}

#if FILE_OUTPUT
	fclose(OutputStat1);
#endif
}
//====================================================================================
void   PrintInfo::PrintStatNote(Binomials &B, float elapse_time, int i, char *cell, double infN, int statusP)
 {
        FILE       *OutputFile;

        if((OutputFile=fopen(B.OutputFileNote,"a"))==NULL) {
                printf("cannot open %s \n",B.OutputFileNote);
                exit(1);
        }
        fprintf(OutputFile, " # cell  prob  statusP     pIT  TcIT   hValError minPstep  normOFx  normOFdx   minEig  maxPower  CPU\n");

        fprintf(OutputFile,
     "%6s  %3d  %+7d     %5d %6d  %6.2e %6.2e %6.2e %6.2e %+6.2e %8.4e  %8.2f\n",
        cell,i,statusP,B.Step.predIteration,
        B.Step.totalCorrIteration,infN,B.Step.minPredStep,
        B.Qx[1].normOFx, B.Qx[1].normOFdx, B.Qx[1].minEig,
        B.Qx[1].maxPower, elapse_time);

	fclose(OutputFile);
} 
//====================================================================================
void   PrintInfo::PrintSol(Binomials &B,int statP, int pthSol, char *cell,double hValError)
{

        FILE	*OutputFile;
	int	k,i,j,jpp,js,jss,jp,jthrow ;
	double 	sortKey1,sortKey2,ratio0,ratio1,realNumber,imgNumber,
		imgPsum,realPsum,*solution;
	int     len;	

#if FILE_OUTPUT
        if((OutputFile=fopen(B.OutputFileName,"a"))==NULL) {
		printf("cannot open %s \n",B.OutputFileName);
                exit(1);
        }
	setbuf(OutputFile, NULL);
#endif
	if (statP>=0) {

for (jthrow=1;jthrow<=B.Qx[1].xDim;jthrow++) {
        B.solution[(jthrow-1)*2+1] = real(B.sav_x[jthrow]);
        B.solution[(jthrow-1)*2+2] = imag(B.sav_x[jthrow]);
}
B.solution[2*B.Qx[1].xDim+1] = hValError;
B.solution[2*B.Qx[1].xDim+2] = atoi(cell);
B.solution[2*B.Qx[1].xDim+3] = pthSol;

//        B.SolBuffer[0] = '\0';
        for (k=1;k<=B.Qx[1].xDim*2;k++) {
#if FILE_OUTPUT
	    fprintf(OutputFile,"%+20.15e  ",B.solution[k]);
#endif
	    len = strlen(B.SolBuffer);
	    sprintf(&B.SolBuffer[len], "%+20.15e  ",B.solution[k]);
	}
#if FILE_OUTPUT
	fprintf(OutputFile,"%+20.15e  %4.0f  %4.0f\n",
        B.solution[2*B.Qx[1].xDim+1],B.solution[2*B.Qx[1].xDim+2],B.solution[2*B.Qx[1].xDim+3]);
//        fprintf(OutputFile,"%20.15e  %20.15e\n",
//        B.solution[2*B.Qx[1].xDim+4],B.solution[2*B.Qx[1].xDim+5]);
#endif
	len = strlen(B.SolBuffer);
	sprintf(&B.SolBuffer[len],"%+20.15e %4.0f  %4.0f\n",
        B.solution[2*B.Qx[1].xDim+1],B.solution[2*B.Qx[1].xDim+2],B.solution[2*B.Qx[1].xDim+3]);
//	len = strlen(B.SolBuffer);
 //       sprintf(&B.SolBuffer[len],"%20.15e %20.15e\n",
  //      B.solution[2*B.Qx[1].xDim+4],B.solution[2*B.Qx[1].xDim+5]);

	} else {
//	  fprintf(OutputFile,
//		"Divergence  in solution %d\n", i);
	}

#if FILE_OUTPUT
	fclose(OutputFile);
#endif
}
//========================================================
void PrintInfo::HeaderName(char *OutputFileNote, char *OutputHeadName, int solno, int n)
{
	FILE *OutputFile;
	if ((OutputFile=fopen(OutputFileNote,"a"))==NULL) {
		printf("cannot open %s \n",OutputFileNote);
		exit(1);
	}
	fprintf(OutputFile,"# %s %d/%d\n",OutputHeadName,solno,n);
	fclose(OutputFile);
}
void PrintInfo::HeaderInfo(char *OutputFileNote)
{
	FILE *OutputFile;
	if ((OutputFile=fopen(OutputFileNote,"a"))==NULL) {
		printf("cannot open %s \n",OutputFileNote);
		exit(1);
	}
	fprintf(OutputFile,"#    statusC 1.0-t   hErr     normOFx  pStep    dTau     cIT   minEig     angle\n");

	fclose(OutputFile);

}
void PrintInfo::MidPrint(char *OutputFileNote,int predIteration, int statusC,
		double tCurrent, double tToMaxPower, double hValError,
		double normOFx, double predStep, int corrIteration, double theta, double minEig)
{
	FILE *OutputFile;

        printf("%4d: %+2d %7.3e %7.3e %6.2e %6.2e %6.2e %2d   %+6.2e\n",
                predIteration,statusC,tCurrent,tToMaxPower,
		hValError,normOFx,predStep,corrIteration,theta);

	if ((OutputFile=fopen(OutputFileNote,"a"))==NULL) {
		printf("cannot open %s \n",OutputFileNote);
		exit(1);
	}
        fprintf(OutputFile,"%4d: %+2d %7.3e %7.3e %6.2e %6.2e %6.2e %2d   %+6.2e %+6.2e\n",
                predIteration,statusC,tCurrent,tToMaxPower,
		hValError,normOFx,predStep,corrIteration,minEig,theta);
	fclose(OutputFile);
}  
//=====================================================================================
void PrintInfo::Headings(char *outputFID, Binomials &B)
{
	FILE *OutputFile;
	if (outputFID[0] != 's') {   	// if not ouput on screen
            if ((OutputFile=fopen(outputFID,"a"))==NULL) {
                printf("cannot open %s \n",outputFID);
                exit(1);
	    }
	    fprintf(OutputFile,"### Input data ### \n");
	    fprintf(OutputFile,"#\n");
	    fprintf(OutputFile,"# coefficientFile=%s%s, ",B.ClusterName,".coef");
            fprintf(OutputFile,"cellFilesInitPt=%s, ",B.OutputHeadName);
	    fprintf(OutputFile,"parameterFile=para%s%s\n#\n",B.ClusterName,".dat");
	    fprintf(OutputFile,"### Output files ### \n");
	    fprintf(OutputFile,"#\n");
	    fprintf(OutputFile,"# Statistical information ------ %s\n",B.OutputFileStat);
	    fprintf(OutputFile,"# Solution information --------- %s\n",B.OutputFileName);
	    fprintf(OutputFile,"# Emergency information --- %s\n",B.OutputFileNote);
	    fprintf(OutputFile,"#\n");
	    fclose(OutputFile);
	} else if (outputFID[0]=='s') {
	    printf("\n");
	    printf("              ##################################################\n");
	    printf("              #   Continuation Method for Polynomial Systems   #\n");
	    printf("              #       Sunyoung Kim and Masakazu Kojima         #\n");
	    printf("              #      C++  Version 1.0, Feburary 15, 2002       #\n");
	    printf("              ##################################################\n\n");
	    printf("\n");
	    printf("### Input data ### \n");
	    printf("#\n");
	    printf("# coefficientFile=%s%s, ",B.ClusterName,".coef");
            printf("cellFilesInitPt=%s, ",B.OutputHeadName);
	    printf("parameterFile=para%s%s\n#\n",B.ClusterName,".dat");
	    printf("### Output files ### \n");
	    printf("#\n");
	    printf("# Statistical information ------ %s\n",B.OutputFileStat);
	    printf("# Solution information --------- %s\n",B.OutputFileName);
	    printf("# Emergency information --- %s\n",B.OutputFileNote);
	    printf("#\n");
	}
}
//=====================================================================================
void PrintInfo::ExpParam(char *FID,int informationLevel)
{
	FILE *outputFID;
        if ((outputFID=fopen(FID,"a"))==NULL) {
                printf("cannot open %s \n",FID);
                exit(1);
        }
	fprintf(outputFID,"### Notation ###\n");
	fprintf(outputFID,"#\n");
	fprintf(outputFID,"# cell --------  cell number, e.g., 8cyc25 file where cell=25\n");
	fprintf(outputFID,"# init --------  initial point number in each cell, e.g., sol5 where init=5\n");
	fprintf(outputFID,"# statusP -----  the status of the homotopy path\n");
	if (informationLevel >= 0 ) {
	fprintf(outputFID,"#                =  7 --- too small progress in the final procedure\n");
	fprintf(outputFID,"#                =  6 --- too many iterations in the final procedure\n");
	fprintf(outputFID,"#                =  5 --- too many Armijo step length reduction in the final procedure\n");
	}

	fprintf(outputFID,"#                =  3 --- convergence to a nonsingular solution\n");
	fprintf(outputFID,"#                =  4 --- convergence to a singular solution\n");
	fprintf	(outputFID,"#                = -2 --- fail because of a divergence of the homotopy path\n");
	if (informationLevel < 0 ) {
	fprintf(outputFID,"#                =  5 --- fail to obtain enough accuracy in the final procedure\n");
	}
	fprintf(outputFID,"#                = -1 --- fail becasue of too small predictor step length\n");
	fprintf(outputFID,"#                = -3 --- fail because of too many predictor iteration s\n");
	fprintf(outputFID,"#                = -4 --- fail because of a numerical instability, singular Jacobian matrix\n");
	fprintf(outputFID,"# pIt ---------  the total predictor iterations\n");
	fprintf(outputFID,"# TcIT --------  the total corrector iterations\n");
	fprintf(outputFID,"# cpu    ------- the cpu second required to compute the homotopy path\n");
	fprintf(outputFID,"# hValError ---  the infinity norm function value error at the approximate solution\n");
	fprintf(outputFID,"# normOFx -----  the 2 norm of the approximate solution\n");
	fprintf(outputFID,"# minEig ------- the minimum eigenvalue of Df(x)^* Df(x) at the approximate solution x,\n");
	fprintf(outputFID,"#                where Df(x) denotes the Jacobian matrix\n");
	if (informationLevel >= 0 ) {
	fprintf(outputFID,"# maxEig ------- the maximum eigenvalue of Df(x)^* Df(x)\n");
	fprintf(outputFID,"# normOFdx ----- the 2 norm of the Newton direction at the last Newton iteration\n");
	fprintf(outputFID,"# minPstep ----  the minimum predictor step length\n");
	fprintf(outputFID,"# maxPower ----- the maximum power of t over all terms in the homotopy\n");
	}
	fprintf(outputFID,"#\n");
	fprintf(outputFID,"###\n");
	fclose(outputFID);
}      
//=======================================================================================
void PrintInfo::Parameters(char *FID, double accINfVal, double accInNewtonDir, 
	double beta,
	double divMagOFx, double dTauMax, double minEigForNonsing, double NewtonDirMax,
	double predItMax, int informationLevel)
{
	FILE *noteFID;
	if (FID[0] !='s') {
        	if ((noteFID=fopen(FID,"a"))==NULL) {
                	printf("cannot open %s \n",FID);
                	exit(1);
       		 }
		fprintf(noteFID,"### Parameter values ###\n");
		fprintf(noteFID,"#\n");
		fprintf(noteFID,"# accINfVal    =%6.2e, ",accINfVal);
		fprintf(noteFID,"accInNewtonDir=%6.2e, ",accInNewtonDir);
		fprintf(noteFID,"beta            =%6.2e\n",beta);
		fprintf(noteFID,"# divMagOFx    =%6.2e, ",divMagOFx);
		fprintf(noteFID,"dTauMax       =%6.2e, ",dTauMax);
		fprintf(noteFID,"minEigForNonsing=%6.2e\n",minEigForNonsing);
		fprintf(noteFID,"# NewtonDirMax =%6.2e, ",NewtonDirMax);
		fprintf(noteFID,"predItMax     =%7.0f\n#\n",predItMax);
		fclose(noteFID); 
	} else if(FID[0] == 's') {  //screen output
	    printf("### Parameter values ###\n");
	    printf("#\n");
	    printf("# accINfVal    =%6.2e, ",accINfVal);
	    printf("accInNewtonDir=%6.2e, ",accInNewtonDir);
	    printf("beta            =%6.2e\n",beta);
	    printf("# divMagOFx    =%6.2e, ",divMagOFx);
	    printf("dTauMax       =%6.2e, ",dTauMax);
	    printf("minEigForNonsing=%6.2e\n",minEigForNonsing);
	    printf("# NewtonDirMax =%6.2e, ",NewtonDirMax);
	    printf("predItMax     =%7.0f\n#\n",predItMax);
	    if (informationLevel > 0 ) {
	        printf("### Notation ###\n");
	        printf("#\n");
	        printf("# cell --------  cell number, e.g., 8cyc25 file where cell=25\n");
	        printf("# init --------  initial point number in each cell, e.g., sol5 where init=5\n");
	        printf("# statusP -----  the status of the homotopy path\n");
		printf("#                =  7 --- too small progress in the final procedure\n");
		printf("#                =  6 --- too many iterations in the final procedure\n");
		printf("#                =  5 --- too many Armijo step length reduction in the final procedure\n");

	        printf("#                =  3 --- convergence to a nonsingular solution\n");
	        printf("#                =  4 --- convergence to a singular solution\n");
	        printf("#                = -2 --- fail because of a divergence of the homotopy path\n");
	 
	        printf("#                = -1 --- fail becasue of too small predictor step length\n");
	        printf("#                = -3 --- fail because of too many predictor iterations\n");
	        printf("#                = -4 --- fail because of a numerical instability, singular Jacobian matrix\n");
	        printf("# pIt ---------  the total predictor iterations\n");
	        printf("# TcIT --------  the total corrector iterations\n");
	        printf("# cpu    ------- the cpu second required to compute the homotopy path\n");
	        printf("# hValError ---  the infinity norm function value error at the approximate solution\n");
	        printf("# normOFx -----  the 2 norm of the approximate solution\n");
	        printf("# minEig ------- the minimum eigenvalue of Df(x)^* Df(x) at the approximate solution x,\n");
	        printf("#                where Df(x) denotes the Jacobian matrix\n");
	        printf("# maxEig ------- the maximum eigenvalue of Df(x)^* Df(x)\n");
	        printf("# normOFdx ----- the 2 norm of the Newton direction at the last Newton iteration\n");
	        printf("# minPstep ----  the minimum predictor step length\n");
	    	printf("# maxPower ----- the maximum power of t over all terms in the homotopy\n");
	        
	        printf("#\n");
	        printf("###\n");
	    }
	}
}
